:root {
  --pos: 1px;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

  body {
    overflow-x: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    min-height: 100%;
  }

  .basesite {
    background-color: rgba(0, 0, 0, 0.4);
    background-blend-mode: overlay;
    background-image: url('back.webp');
    background-attachment: scroll;
    background-size: 100% 100%;
    background-size: cover;
    overflow-x: hidden;
    height: auto;
    display: flex;
    flex-direction: column;
  }

  .top-left-image {
    position: absolute; 
    top: 3vh;
    left: 4vw;
    width: calc(var(--pos) * 7);
    height: calc(var(--pos) * 7);
    z-index: 9999;
  }



  ul {
    list-style: none;
  }
  
  .image-gallery {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    margin-top: calc(var(--pos) * 120);
  }
  
  .image-gallery > li {
    flex: 1 1 auto; 
    height: 300px;
    cursor: pointer;
    position: relative;
  }
  
  .image-gallery::after {
    content: "";
    flex-grow: 999;
  }
  
  .image-gallery li img {
    object-fit: contain;
    width: 100%;
    height: 100%;
    vertical-align: middle;
  }

.image-gallery li .huehue {
  width: calc(var(--pos) * 80);
  margin-left: calc(var(--pos) * 30);
  height: auto;
  object-fit: scale-down;
}


.header-container {
  display: flex;
  flex-direction: column;
  align-items: center;
  position: absolute;
  top: 9vh;
  left: 50%;
  transform: translateX(-50%);
  background-color: rgba(0,0,0,0);
}

.image img{
    position: absolute;
    top: calc(var(--pos) * 25);
    left: calc(var(--pos) * -20);
    width: calc(var(--pos) * 30);
    height: calc(var(--pos) * 20);
}

.headertext {
    position: absolute;
    top: 0vh;
    left: calc(var(--pos) * -40);
    width: calc(var(--pos) * 10);
    height: calc(var(--pos) * 10);
}

.headertext img {
    animation: spin 15s linear infinite;
    width: calc(var(--pos) * 70);
}

@keyframes spin {
    from {
      transform: rotate(0deg); /* Starting rotation angle */
    }
    to {
      transform: rotate(-360deg); /* Ending rotation angle (counterclockwise) */
    }
  }

.vertical-list {
  display: none;
  width: calc(var(--pos) * 30);
  height: auto;
  margin-top: calc(var(--pos) * 15);
  margin-left: calc(var(--pos) * 95);
  z-index: 100000;
  border: 0.2vw dashed blue; 
  background-color: white; 
  padding: 1vh;
  font-size: calc(var(--pos) * 2);
  font-family: monospace;
}

.vertical-list.mobile {
  position: absolute;
  margin-top: calc(var(--pos) * 30);
  margin-left: calc(var(--pos) * 70);
  z-index: 100000;
  font-size: calc(var(--pos) * 4);
  font-family: monospace;
  width: calc(var(--pos) * 50);
}

a[href="https://x.com/bairs_"],
a[href="https://discord.gg/bairs"] {
    color: #0057FF;
}

a[href="blackpaper.html"] {
    color: #FF0000;
}

a[href="../index.html#mintbairs"] {
    color: #0F50CE;
}

a[href="../index.html#ab"] {
    color: #FF4500;
}


a[href="memes.html"] {
    color: #0F50CE;
}

a[href="aotrt.html"] {
    color: #238700;
}
.vertical-list ul {
  list-style-type: none; 
  padding: 0; 
}

.vertical-list li {
  margin-bottom: 3vh; 
}

.burger-menu {
  display: none; /* Hide the burger menu by default on larger screens */
  cursor: pointer;
  position: absolute;
  top: calc(var(--pos) * 7);
  right: calc(var(--pos) * 15);
  z-index: 1000; /* Ensure it's above other content */
}

.bar {
  width: 25px;
  height: 3px;
  background-color: #333;
  margin: 5px 0;
  transition: transform 0.3s; /* Add transition for smoother transformation */
}
